Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UITabPanel

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.richfaces.component.AbstractTogglePanel
                      org.richfaces.component.AbstractTabPanel
                          org.richfaces.component.UITabPanel

All Implemented Interfaces:
  EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AbstractDivPanel, org.richfaces.component.MetaComponentEncoder, org.richfaces.component.MetaComponentResolver, org.richfaces.event.ItemChangeSource

    @Generated(value={"RichFaces CDK","4.3.1.Final"})
    public class UITabPanel

extends AbstractTabPanel
implements javax.faces.component.behavior.ClientBehaviorHolder

The <rich:tabPanel> component provides a set of tabbed panels for displaying one panel of content at a time. The tabs can be highly customized and themed. Each tab within a <rich:tabPanel> container is a <rich:tab> component.

Author:
  akolonitsky

Nested Class Summary
`protected static class` | `UITabPanel.Properties`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.AbstractTogglePanel
`ACTIVE_ITEM_META_COMPONENT, META_NAME_FIRST, META_NAME_LAST, META_NAME_NEXT, META_NAME_PREV, UPDATE_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Fields inherited from interface org.richfaces.component.MetaComponentResolver
`META_COMPONENT_SEPARATOR_CHAR`

Constructor Summary
`UITabPanel()`

Method Summary
`Object` | `getData()`
`String` | `getDefaultEventName()`
`String` | `getDir()`
`Collection<String>` | `getEventNames()`
`Object` | `getExecute()`
`String` | `getFamily()`
`org.richfaces.HeaderAlignment` | `getHeaderAlignment()` The alignment of the tab panel header: left, center, right, bottom, top
`org.richfaces.HeaderPosition` | `getHeaderPosition()` The position of the header: top, bottom, left, right
`javax.el.MethodExpression` | `getItemChangeListener()` Occurs on the server side when an item is changed through Ajax using the server mode
`String` | `getLang()`
`String` | `getOnbeforeitemchange()` The client-side script method to be called before the item is changed.
`String` | `getOnclick()`
`String` | `getOndblclick()`
`String` | `getOnitemchange()` The client-side script method to be called after the item is changed.
`String` | `getOnmousedown()`
`String` | `getOnmousemove()`
`String` | `getOnmouseout()`
`String` | `getOnmouseover()`
`String` | `getOnmouseup()`
`Object` | `getRender()`
`String` | `getStatus()`
`String` | `getStyle()`
`String` | `getStyleClass()`
`String` | `getTabActiveHeaderClass()` Space-separated list of CSS style class(es) for active tab header.
`String` | `getTabContentClass()` Space-separated list of CSS style class(es) for tab content
`String` | `getTabDisabledHeaderClass()` Space-separated list of CSS style class(es) for disabled tab headers.
`String` | `getTabHeaderClass()` Space-separated list of CSS style class(es) for tab headers.
`String` | `getTabInactiveHeaderClass()` Space-separated list of CSS style class(es) for inactive tab headers.
`String` | `getTitle()`
`boolean` | `isCycledSwitching()` Applicable when cycling through the tabs.
`boolean` | `isLimitRender()`
`void` | `setCycledSwitching(boolean cycledSwitching)`
`void` | `setData(Object data)`
`void` | `setDir(String dir)`
`void` | `setExecute(Object execute)`
`void` | `setHeaderAlignment(org.richfaces.HeaderAlignment headerAlignment)`
`void` | `setHeaderPosition(org.richfaces.HeaderPosition headerPosition)`
`void` | `setItemChangeListener(javax.el.MethodExpression itemChangeListener)`
`void` | `setLang(String lang)`
`void` | `setLimitRender(boolean limitRender)`
`void` | `setOnbeforeitemchange(String onbeforeitemchange)`
`void` | `setOnclick(String onclick)`
`void` | `setOndblclick(String ondblclick)`
`void` | `setOnitemchange(String onitemchange)`
`void` | `setOnmousedown(String onmousedown)`
`void` | `setOnmousemove(String onmousemove)`
`void` | `setOnmouseout(String onmouseout)`
`void` | `setOnmouseover(String onmouseover)`
`void` | `setOnmouseup(String onmouseup)`
`void` | `setRender(Object render)`
`void` | `setStatus(String status)`
`void` | `setStyle(String style)`
`void` | `setStyleClass(String styleClass)`
`void` | `setTabActiveHeaderClass(String tabActiveHeaderClass)`
`void` | `setTabContentClass(String tabContentClass)`
`void` | `setTabDisabledHeaderClass(String tabDisabledHeaderClass)`
`void` | `setTabHeaderClass(String tabHeaderClass)`
`void` | `setTabInactiveHeaderClass(String tabInactiveHeaderClass)`
`void` | `setTitle(String title)`

Methods inherited from class org.richfaces.component.AbstractTabPanel
`getActiveItem, isHeaderAlignedLeft, isHeaderPositionedTop`

Methods inherited from class org.richfaces.component.AbstractTogglePanel
`addItemChangeListener, broadcast, decode, encodeBegin, encodeMetaComponent, getChildIndex, getClientIdByName, getFirstItem, getIndexByName, getItem, getItemByIndex, getItemChangeListeners, getItemCount, getLastItem, getNameByIndex, getNextItem, getNextItem, getPrevItem, getPrevItem, getRendersChildren, getSubmittedActiveItem, getSubmittedValue, getSwitchType, getVisitStateByName, isActiveItem, isActiveItem, isActiveItem, isImmediate, isLocalValueSet, isPanelItemDynamic, isRequired, isValid, processDecodes, processUpdates, processValidators, queueEvent, removeItemChangeListener, resetValue, resolveClientId, setActiveItem, setEventPhase, setEventPhase, setImmediate, setLocalValueSet, setRequired, setSubmittedActiveItem, setSubmittedValue, setSwitchType, setValid, setValue, setValueExpression, substituteUnresolvedClientId, updateActiveName, updateModel, visitTogglePanelItems, visitTree`

Methods inherited from class javax.faces.component.UIOutput
`clearInitialState, getConverter, getLocalValue, getValue, markInitialState, restoreState, saveState, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UITabPanel

    public UITabPanel()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `AbstractTabPanel`

### getEventNames

    public Collection<String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### isCycledSwitching

    public boolean isCycledSwitching()

  Description copied from class: `AbstractTogglePanel`
  Applicable when cycling through the tabs. If "true", then when the last tab is active, cycling to next will activate the first tab, if "false", cycling to next will have not effect. The inverse applies for the first tab, and cycling to previous. Whether to Default: false

  Specified by:
    `isCycledSwitching` in class `AbstractTogglePanel`

### setCycledSwitching

    public void setCycledSwitching(boolean cycledSwitching)

### getData

    public Object getData()

  Specified by:
    `getData` in class `AbstractTabPanel`

### setData

    public void setData(Object data)

### getDir

    public String getDir()

  Specified by:
    `getDir` in interface `AbstractDivPanel`

### setDir

    public void setDir(String dir)

### getExecute

    public Object getExecute()

  Specified by:
    `getExecute` in class `AbstractTabPanel`

### setExecute

    public void setExecute(Object execute)

### getHeaderAlignment

    public org.richfaces.HeaderAlignment getHeaderAlignment()

  Description copied from class: `AbstractTabPanel`
  The alignment of the tab panel header: left, center, right, bottom, top

  Specified by:
    `getHeaderAlignment` in class `AbstractTabPanel`

### setHeaderAlignment

    public void setHeaderAlignment(org.richfaces.HeaderAlignment headerAlignment)

### getHeaderPosition

    public org.richfaces.HeaderPosition getHeaderPosition()

  Description copied from class: `AbstractTabPanel`
  The position of the header: top, bottom, left, right

  Specified by:
    `getHeaderPosition` in class `AbstractTabPanel`

### setHeaderPosition

    public void setHeaderPosition(org.richfaces.HeaderPosition headerPosition)

### getItemChangeListener

    public javax.el.MethodExpression getItemChangeListener()

  Description copied from class: `AbstractTogglePanel`
  Occurs on the server side when an item is changed through Ajax using the server mode

  Specified by:
    `getItemChangeListener` in class `AbstractTogglePanel`

### setItemChangeListener

    public void setItemChangeListener(javax.el.MethodExpression itemChangeListener)

### getLang

    public String getLang()

  Specified by:
    `getLang` in interface `AbstractDivPanel`

### setLang

    public void setLang(String lang)

### isLimitRender

    public boolean isLimitRender()

  Specified by:
    `isLimitRender` in class `AbstractTabPanel`

### setLimitRender

    public void setLimitRender(boolean limitRender)

### getOnbeforeitemchange

    public String getOnbeforeitemchange()

  Description copied from class: `AbstractTogglePanel`
  The client-side script method to be called before the item is changed.

  Specified by:
    `getOnbeforeitemchange` in class `AbstractTogglePanel`

### setOnbeforeitemchange

    public void setOnbeforeitemchange(String onbeforeitemchange)

### getOnclick

    public String getOnclick()

  Specified by:
    `getOnclick` in interface `AbstractDivPanel`

### setOnclick

    public void setOnclick(String onclick)

### getOndblclick

    public String getOndblclick()

  Specified by:
    `getOndblclick` in interface `AbstractDivPanel`

### setOndblclick

    public void setOndblclick(String ondblclick)

### getOnitemchange

    public String getOnitemchange()

  Description copied from class: `AbstractTogglePanel`
  The client-side script method to be called after the item is changed.

  Specified by:
    `getOnitemchange` in class `AbstractTogglePanel`

### setOnitemchange

    public void setOnitemchange(String onitemchange)

### getOnmousedown

    public String getOnmousedown()

  Specified by:
    `getOnmousedown` in interface `AbstractDivPanel`

### setOnmousedown

    public void setOnmousedown(String onmousedown)

### getOnmousemove

    public String getOnmousemove()

  Specified by:
    `getOnmousemove` in interface `AbstractDivPanel`

### setOnmousemove

    public void setOnmousemove(String onmousemove)

### getOnmouseout

    public String getOnmouseout()

  Specified by:
    `getOnmouseout` in interface `AbstractDivPanel`

### setOnmouseout

    public void setOnmouseout(String onmouseout)

### getOnmouseover

    public String getOnmouseover()

  Specified by:
    `getOnmouseover` in interface `AbstractDivPanel`

### setOnmouseover

    public void setOnmouseover(String onmouseover)

### getOnmouseup

    public String getOnmouseup()

  Specified by:
    `getOnmouseup` in interface `AbstractDivPanel`

### setOnmouseup

    public void setOnmouseup(String onmouseup)

### getRender

    public Object getRender()

  Specified by:
    `getRender` in class `AbstractTabPanel`

### setRender

    public void setRender(Object render)

### getStatus

    public String getStatus()

  Specified by:
    `getStatus` in class `AbstractTabPanel`

### setStatus

    public void setStatus(String status)

### getStyle

    public String getStyle()

  Specified by:
    `getStyle` in interface `AbstractDivPanel`

### setStyle

    public void setStyle(String style)

### getStyleClass

    public String getStyleClass()

  Specified by:
    `getStyleClass` in interface `AbstractDivPanel`

### setStyleClass

    public void setStyleClass(String styleClass)

### getTabActiveHeaderClass

    public String getTabActiveHeaderClass()

  Description copied from class: `AbstractTabPanel`
  Space-separated list of CSS style class(es) for active tab header.

  Specified by:
    `getTabActiveHeaderClass` in class `AbstractTabPanel`

### setTabActiveHeaderClass

    public void setTabActiveHeaderClass(String tabActiveHeaderClass)

### getTabContentClass

    public String getTabContentClass()

  Description copied from class: `AbstractTabPanel`
  Space-separated list of CSS style class(es) for tab content

  Specified by:
    `getTabContentClass` in class `AbstractTabPanel`

### setTabContentClass

    public void setTabContentClass(String tabContentClass)

### getTabDisabledHeaderClass

    public String getTabDisabledHeaderClass()

  Description copied from class: `AbstractTabPanel`
  Space-separated list of CSS style class(es) for disabled tab headers.

  Specified by:
    `getTabDisabledHeaderClass` in class `AbstractTabPanel`

### setTabDisabledHeaderClass

    public void setTabDisabledHeaderClass(String tabDisabledHeaderClass)

### getTabHeaderClass

    public String getTabHeaderClass()

  Description copied from class: `AbstractTabPanel`
  Space-separated list of CSS style class(es) for tab headers.

  Specified by:
    `getTabHeaderClass` in class `AbstractTabPanel`

### setTabHeaderClass

    public void setTabHeaderClass(String tabHeaderClass)

### getTabInactiveHeaderClass

    public String getTabInactiveHeaderClass()

  Description copied from class: `AbstractTabPanel`
  Space-separated list of CSS style class(es) for inactive tab headers.

  Specified by:
    `getTabInactiveHeaderClass` in class `AbstractTabPanel`

### setTabInactiveHeaderClass

    public void setTabInactiveHeaderClass(String tabInactiveHeaderClass)

### getTitle

    public String getTitle()

  Specified by:
    `getTitle` in interface `AbstractDivPanel`

### setTitle

    public void setTitle(String title)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.